# Certificate.md

## NAMESPACE

RASAdminEngine.Core.OutputModels

## DESCRIPTION

The Certificate

## INHERITED FROM

[RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md)

⇒

[RASListObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/raslistobj.md)

⇒

Certificate

## INTERFACES

* ISerializable
* IComparable

## PUBLIC PROPERTIES

| Type                                                                                                                          | Name                                                                                                                        | Description                                                                                                                  |
| ----------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------- |
| String                                                                                                                        | AdminCreate                                                                                                                 | Inherited from [RASListObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/raslistobj.md) |
| String                                                                                                                        | AdminLastMod                                                                                                                | Inherited from [RASListObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/raslistobj.md) |
| String                                                                                                                        | AlternateNames                                                                                                              | The alternate names of the certificate.                                                                                      |
| String                                                                                                                        | CommonName                                                                                                                  | String                                                                                                                       |
| Description                                                                                                                   | The description of the certificate.                                                                                         | Boolean                                                                                                                      |
| Enabled                                                                                                                       | Whether the certificate is enabled or not.                                                                                  | Nullable\<DateTime>                                                                                                          |
| ExpirationDate                                                                                                                | UInt32                                                                                                                      | Id                                                                                                                           |
| String                                                                                                                        | Intermediate                                                                                                                | The intermediate.                                                                                                            |
| [CertificateKeySize](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/certificatekeysize.md) | KeySize                                                                                                                     | String                                                                                                                       |
| Name                                                                                                                          | Certificate Name.                                                                                                           | String                                                                                                                       |
| PublicKey                                                                                                                     | String                                                                                                                      | Request                                                                                                                      |
| The certificate request.                                                                                                      | UInt32                                                                                                                      | SiteId                                                                                                                       |
| ID of the site.                                                                                                               | [CertificateStatus](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/certificatestatus.md) | Status                                                                                                                       |
| DateTime                                                                                                                      | TimeCreate                                                                                                                  | Inherited from [RASListObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/raslistobj.md) |
| DateTime                                                                                                                      | TimeLastMod                                                                                                                 | Inherited from [RASListObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/raslistobj.md) |
| [CertificateType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/certificatetype.md)       | Type                                                                                                                        | Whether the certificate is Self-Signed, Imported or Requested.                                                               |
| [CertificateUsages](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/certificateusages.md)   | Usage                                                                                                                       | A set of assigned certificate usages. To form a set of usages 'OR'                                                           |

## PUBLIC METHODS

| Type                                                                                                                                                                                             | Name                       | Description                                                                                                                                |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | -------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| Int32                                                                                                                                                                                            | CompareTo (Object obj)     | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Boolean                                                                                                                                                                                          | Equals (Object obj)        | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Int32                                                                                                                                                                                            | GetHashCode ()             | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Type                                                                                                                                                                                             | GetType ()                 | String                                                                                                                                     |
| ToString ()                                                                                                                                                                                      | ### References to Commands |                                                                                                                                            |
| ----                                                                                                                                                                                             |                            |                                                                                                                                            |
| [Invoke-RASExportCertificate](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/cmdlets/Invoke-RASExportCertificate.md) |                            |                                                                                                                                            |
| [Set-RASCertificate](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/cmdlets/Set-RASCertificate.md)                   |                            |                                                                                                                                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/certificate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
